org.optaplanner.benchmark.impl.result

## Class BenchmarkResultIO

- java.lang.Object
- - org.optaplanner.benchmark.impl.result.BenchmarkResultIO

-     public class BenchmarkResultIO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BenchmarkResultIO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PlannerBenchmarkResult` | `readPlannerBenchmarkResult(SolverConfigContext configContext, File plannerBenchmarkResultFile)`
    `List<PlannerBenchmarkResult>` | `readPlannerBenchmarkResultList(SolverConfigContext configContext, File benchmarkDirectory)`
    `void` | `writePlannerBenchmarkResult(File benchmarkReportDirectory, PlannerBenchmarkResult plannerBenchmarkResult)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### BenchmarkResultIO

          public BenchmarkResultIO()

  - ### Method Detail

    - #### writePlannerBenchmarkResult

          public void writePlannerBenchmarkResult(File benchmarkReportDirectory,
                                                  PlannerBenchmarkResult plannerBenchmarkResult)

    - #### readPlannerBenchmarkResultList

          public List<PlannerBenchmarkResult> readPlannerBenchmarkResultList(SolverConfigContext configContext,
                                                                             File benchmarkDirectory)

    - #### readPlannerBenchmarkResult

          protected PlannerBenchmarkResult readPlannerBenchmarkResult(SolverConfigContext configContext,
                                                                      File plannerBenchmarkResultFile)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.